Locked thread | Replies: 67 (Who?), Viewed: 38293 times.
Page 3 of 3
Test Subject
#51 Old 31st Jan 2011 at 10:52 AM
No matter what I import, I get the same error (but for the record, it was a livingroom chair and the BarstoolBrasserie). And additional buttons are not visible after import either.
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#52 Old 31st Jan 2011 at 2:29 PM
What is the error you get on import?

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
In the Arena
retired moderator
#53 Old 31st Jan 2011 at 2:38 PM
@cmo,
does that mean the Import error in the console can be ignored?

@kathaludlee,
Blender has this quirk about opening and saving files where you have to click the file name so it appears in the bar before you click on the Save/Export button. Also, are you Exporting while in Object Mode?
When I forgot to Tab back and still was in Edit Mode, the Export script pop-up another error and the files remain unchanged.

Quote:
found bundled python: D:\PROGRA~1\Blender\2.56\python
bpy.utils.addon_enable io_TS3_tools
Loading group00 ...
Traceback (most recent call last):
File "D:\Users\ella\AppData\Roaming\Blender Foundation\Blender\2.56\scripts\ad
dons\io_TS3_tools.py", line 327, in execute
self.parsefile()
File "D:\Users\ella\AppData\Roaming\Blender Foundation\Blender\2.56\scripts\ad
dons\io_TS3_tools.py", line 602, in parsefile
bpy.ops.object.shade_smooth()
File "D:\Users\ella\AppData\Roaming\Blender Foundation\Blender\2.56\scripts\mo
dules\bpy\ops.py", line 180, in __call__
ret = op_call(self.idname_py(), None, kw)
SystemError: Operator bpy.ops.object.shade_smooth.poll() failed, context is inco
rrect

location:<unknown location>:-1
Alchemist
#54 Old 31st Jan 2011 at 2:33 PM
I was able to import the barstool with no errors and without even changing the name of the MLOD. I've also not run into a living room chair yet that wouldn't import...which one was it you were trying?
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#55 Old 31st Jan 2011 at 2:47 PM
No error should be ignored, if something went wrong, it's wrong. I can't re-create the errors(except for the export in edit mode, but I can fix that). Which import error are you getting ella?

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#57 Old 31st Jan 2011 at 3:25 PM
That imported fine for me as well:

Screenshots

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
In the Arena
retired moderator
#58 Old 31st Jan 2011 at 7:11 PM
mkay, am stumped and stuck.

The first time I imported:
- 1st image
- with errors but got the backplate and all 3 groups in
- got a console msg of "Build Complete"
- manage to manipulate vertices
- export successfully
- reimport sucessfully and mesh was the modified version as expected.


2nd attempt:
- 2nd image
- still with console errors
- only group00 imported
- no console msg of "Build Complete"

In between those two tries, I was watching some Blender tutorials and following along. But no changes were done to the User preferences or other settings.
Well, I also had dinner and watched TV, so maybe been dulled by full belly and become a tv-zombie. Did I miss something obvious?

I then saw they had released 2.56a and downloaded that, still same outcome.
Should I go back to the first 2.56 beta version?
Screenshots
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#59 Old 31st Jan 2011 at 8:24 PM
Maybe wait until you're hungry and tv deprived and try again? I can't seem to make it error with the smoke detector, no matter ho many time I try. The Blender versions shouldn't make a difference, they didn't change anything related to my script. Is it still the 'SystemError: Operator bpy.ops.object.shade_smooth.poll() failed, context is incorrect' error?

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
In the Arena
retired moderator
#60 Old 1st Feb 2011 at 6:14 AM
Default slightly different
Now it's line 603:

Quote:
Loading group00 ...
Traceback (most recent call last):
File "D:\PROGRA~1\Blender\2.56\scripts\addons\io_TS3_tools.py", line 327, in e
xecute
self.parsefile()
File "D:\PROGRA~1\Blender\2.56\scripts\addons\io_TS3_tools.py", line 603, in p
arsefile
me.update(bpy.context.scene)
TypeError: Object.update(): error with argument 1, "refresh" - Function.refresh
expected a string enum or a set of strings in ('OBJECT', 'DATA', 'TIME')

location:<unknown location>:-1


I only have this add-on enabled.
What others do you use?

I just loaded Default settings again and downloaded new, cos I thought my messing about in there (when I edited the Filter name) bork things up.
... and no luck still. Just had coffee now and hungry and it's still not working. I tried again with many different objects thinking the upstream tools' (s3oc/s3pe) versions matter, all same outcome.
Test Subject
DELETED POST
1st Feb 2011 at 3:08 PM
This message has been deleted by kathaludlee.
Test Subject
DELETED POST
1st Feb 2011 at 3:19 PM Last edited by kathaludlee : 1st Feb 2011 at 3:48 PM.
This message has been deleted by kathaludlee.
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#61 Old 1st Feb 2011 at 3:38 PM
@kathaludlee I can't see the errors. I think they have to be .jpg. And not getting all the groups IS a problem. If don't have all the groups, that means the process was interrupted. I meant that that line in the code wasn't needed, because all it does is update the scene.

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
Test Subject
#62 Old 1st Feb 2011 at 3:45 PM
To clearify that: import worked. I only had group00, but that seems to be fine, and no additional buttons.
Error appeared in line 327 and 630.

@ella: Exporting in object mode didn't change anything...

I hope this is not just a stupid user's fault, but so far, export doesn't work for me
Screenshots
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#63 Old 1st Feb 2011 at 4:00 PM
Are you unwrapping the new mesh? That's is what that first error comes from. The second error, I'm still trying to figure out.

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#64 Old 1st Feb 2011 at 9:39 PM Last edited by cmomoney : 1st Feb 2011 at 10:30 PM.
Updated: 2-1-11
-fixed add-on location(thanks ellacharmd3D )
-fixed dreaded line 603 error
-added check for missing groups
-added check for missing UVs
-added check for quad faces
-added fix to rename UV textures when named incorrectly
-added ability to read comments in files(in preparation for geostates)

Blender doesn't have a way to update add-ons, so if you have the previous script installed. you will have to navigate to the add-ons folder and replace .py file with the new one. The directory is located in(depending on your installation): C:\Users\current user\AppData\Roaming\Blender Foundation\Blender\2.56\scripts\addons

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
Test Subject
#65 Old 2nd Feb 2011 at 12:03 PM
Haha, got the problem! blender obviously kept the old version of the tool and thus simply didn't tell me it worked. So now I replaced the file in the blender-folder as described and imported the barstool and voila! My mesh was there! So everything's fine. Thanks a lot!! (for your patience...)
In the Arena
retired moderator
#66 Old 2nd Feb 2011 at 12:11 PM
Success!
On the Import, all groups in.
On the Export, changes are saved (verified with another import). Yay!

Thanks, cmomoney!

I should probably note that the scripts appear in both %appdata% and Program Files (where I had set the install to), in my system. So when updating the Add-Ons, have to remember to check both places.

Probably means my previous phails were due to the outdated version in Program Files path.
(My hungry tummy notwithstanding. It may still be the cause of future snoeflakiness. )

eta: ah, sniped! I type slooow. I blame hunger!
Forum Resident
#67 Old 10th Feb 2011 at 6:28 PM
cmomoney: Would the fix for the line 603 error go something like this?
replace:
me.update(bpy.context.scene)
with:
me.update('OBJECT')

I've been busy with other things the past couple of weeks, and just came
up with this. I'll go download the new version now.
˙uʍop ǝpᴉsdn ǝɹ,noʎ 'oN
Original Poster
#68 Old 10th Feb 2011 at 7:08 PM Last edited by cmomoney : 15th Feb 2011 at 10:28 PM.
Maybe, but I just omitted it. I have uploaded a release version, it's currently in moderation. In it, I changed some error checking and fixed a problem with not being able to work with the sunshadows. I'd like to thank everyone for your help on this project.

ETA: The release version can now be found in the Downloads section: http://www.modthesims.info/download.php?t=433882.Thanks again! :D

"Part of being a mesher is being persistent through your own confusedness" - HystericalParoxysm
| (• ◡•)| (❍ᴥ❍ʋ) [◕ ‿ ◕]
Locked thread
Page 3 of 3
Back to top